------------------------------------------------------------------------------------
--Name：            211019[简体征服][活动脚本]全球感恩节活动
--Creator:      耿力兀
--Created:     2021-10-19
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(249,215)
local player1 = CppScriptMgr:AddSimplePlayer(1050140,247,211,"Lawrence",4003000011,1)
local player2 = CppScriptMgr:AddSimplePlayer(1062120,252,215,"Suna",4003000012,1)
local player3 = CppScriptMgr:AddSimplePlayer(25916,246,215,"Kojiro",4003000013,1)
local player4 = CppScriptMgr:AddSimplePlayer(35800,249,215,"",4003000014,1)

local effectObj1 = CppScriptMgr:AddEffect("Common_Casting",250,222)

local hero = CppScriptMgr:QueryHero();
hero:SetPos(250,222);
CppScriptMgr:WaitMilSec(1000)

player1:SetAction(180);
player1:Say("These innovative dishes are great!#38",2000)
CppScriptMgr:WaitMilSec(2000)

player3:Say("Easy-peasy!#35",2000)
CppScriptMgr:WaitMilSec(2000)

player2:SetAction(190);
player2:Say("Come to taste them!",2000)
CppScriptMgr:WaitMilSec(2000)

hero:Say("I can`t wait!#12",2000)
hero:WalkTo(250,217)
CppScriptMgr:WaitMilSec(3000)
hero:SetAction(170);
local effectObj2 = CppScriptMgr:AddEffect("195290",250,217)
CppScriptMgr:WaitMilSec(5000)

hero:Say("These food...",2000)
CppScriptMgr:WaitMilSec(2000)
player3:Say("They are just a part of delicacies we prepared this time.",2000)
CppScriptMgr:WaitMilSec(2000)
player1:Say("Come to Delicacy World to try more!",2000)
CppScriptMgr:WaitMilSec(2000)
player2:Say("See you there!#26",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)